---
# tasks file for roles/netbox_ip_address
- name: Create IP address
  netbox.netbox.netbox_ip_address:
    netbox_url: "{{ item_netbox_url }}"
    netbox_token: "{{ item_netbox_token }}"
    validate_certs: False
    data:
      address: "{{ item_address }}"
      assigned_object:
        device: "{{ item_device }}"
        name: "{{ item_interface_name }}"
    state: present
    query_params: [ "address" ]
  delegate_to: localhost